CMCICLIENTFT.GETPROPERTY(3)

NAME
CMCIClientFT.getProperty() - Get a named property value of an instance

SYNOPSIS
#include <cmci.h>

CMPIData
CMCIClientFT.getProperty(CMCIClient*cl,
CMPIObjectPath*op,
constchar*name,
CMPIStatus*rc);

DESCRIPTION
Get the named property value of an instance identified by reference op.

Arguments are the client object pointer cl, an ObjectPath object pointer op with the namespace and classname to identify the instance, a pointer to a string with the property name to get in name, and rc which returns the operation status (suppressed when NULL).

RETURN VALUE
When successful the CMCIClientFT.getProperty() function returns a CMPIData object with the instance property value and sets a successful operation status code in rc. When unsuccessful it returns the CMPIStatus object with sets an operation status error code and corresponding error string.

ERRORS

EXAMPLES

CONFORMING TO

SEE ALSO
Common Manageability Programming Interface (CMPI) - OpenGroup,
CMCIClient(3), CMPIData(3), CMPIObjectPath(3), CMPIStatus(3)